///////////////////////////////////////////////////////////////////////
//
//   MTime
//
///////////////////////////////////////////////////////////////////////

#include "MTime.h"

#include <iostream.h>
#include <iomanip.h>

ClassImp(MTime)

void MTime::Print(Option_t *)
{ 
    cout << "MTime Information:  " << hex
        << " 0x" <<setfill('0') << setw(2) << fTimeStamp[0]
        << " 0x" <<setfill('0') << setw(2) << fTimeStamp[1] << endl << endl;
} 
    /*
inline Bool_t operator<(MTime &t1, MTime &t2)
{
    return (t1.GetTimeHi()<=t2.GetTimeHi()) && (t1.GetTimeLo()<t2.GetTimeLo());
}

inline Bool_t operator>(MTime &t1, MTime &t2)
{
    return (t1.GetTimeHi()>=t2.GetTimeHi()) && (t1.GetTimeLo()>t2.GetTimeLo());
}

inline Bool_t operator<=(MTime &t1, MTime &t2)
{
    return (t1.GetTimeHi()<=t2.GetTimeHi()) && (t1.GetTimeLo()<=t2.GetTimeLo());
}

inline Bool_t operator>=(MTime &t1, MTime &t2)
{
    return (t1.GetTimeHi()>=t2.GetTimeHi()) && (t1.GetTimeLo()>=t2.GetTimeLo());
}

inline Bool_t operator==(MTime &t1, MTime &t2)
{
    return (t1.GetTimeLo()==t2.GetTimeLo()) && (t1.GetTimeHi()==t2.GetTimeHi());
}
*/
